com.io7m.jstructural.annotated

## Interface SAParagraphNumberVisitor<T>

- Type Parameters:
    `T` - The type of transformed paragraph numbers

      public interface SAParagraphNumberVisitor<T>

  A paragraph number visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitParagraphNumberPSP(SAParagraphNumberPSP p)` Visit a PSP paragraph number.
    `T` | `visitParagraphNumberPSSP(SAParagraphNumberPSSP p)` Visit a PSSP paragraph number.
    `T` | `visitParagraphNumberSP(SAParagraphNumberSP p)` Visit a SP paragraph number.
    `T` | `visitParagraphNumberSSP(SAParagraphNumberSSP p)` Visit a SSP paragraph number.

- - ### Method Detail

    - #### visitParagraphNumberPSP

          T visitParagraphNumberPSP(SAParagraphNumberPSP p)
                                    throws Exception

      Visit a PSP paragraph number.
      Parameters:
        `p` - The number
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitParagraphNumberPSSP

          T visitParagraphNumberPSSP(SAParagraphNumberPSSP p)
                                     throws Exception

      Visit a PSSP paragraph number.
      Parameters:
        `p` - The number
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitParagraphNumberSP

          T visitParagraphNumberSP(SAParagraphNumberSP p)
                                   throws Exception

      Visit a SP paragraph number.
      Parameters:
        `p` - The number
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitParagraphNumberSSP

          T visitParagraphNumberSSP(SAParagraphNumberSSP p)
                                    throws Exception

      Visit a SSP paragraph number.
      Parameters:
        `p` - The number
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

Copyright © 2014 <code@io7m.com> http://io7m.com